Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.metrics2.lib
Class MetricMutableCounter<T extends Number>

    java.lang.Object
      org.apache.hadoop.metrics2.lib.MetricMutable
          org.apache.hadoop.metrics2.lib.MetricMutableCounter<T>

Type Parameters:
  `T` - the type of the metric

Direct Known Subclasses:
  MetricMutableCounterInt, MetricMutableCounterLong

    public abstract class MetricMutableCounter<T extends Number>

extends MetricMutable

The mutable counter (monotonically increasing) metric interface

Field Summary

Fields inherited from class org.apache.hadoop.metrics2.lib.MetricMutable
`description, name`

Constructor Summary
`MetricMutableCounter(String name, String description)` Construct the metric with name and description

Method Summary
`abstract void` | `incr()` Increment the metric value by 1.

Methods inherited from class org.apache.hadoop.metrics2.lib.MetricMutable
`changed, clearChanged, setChanged, snapshot, snapshot`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetricMutableCounter

    public MetricMutableCounter(String name,
                                String description)

  Construct the metric with name and description

  Parameters:
    `name` -
    `description` -

Method Detail

### incr

    public abstract void incr()

  Increment the metric value by 1.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation